curl --request GET \
--url https://{your-subdomain}.neetoengage.com/api/external/v1/changelogs \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoengage.com/api/external/v1/changelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoengage.com/api/external/v1/changelogs"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"changelogs": [
{
"id": "d4a2b6f0-9c13-4e85-a7d1-58e3c0b9f216",
"title": "Faster search",
"status": "published",
"published_at": "2026-03-01",
"url": "https://spinkart.neetoengage.com/changelogs/faster-search",
"admin_url": "https://spinkart.neetoengage.com/admin/changelogs/edit/faster-search",
"feature_request_id": null
}
],
"page": 1,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}{
"error": "Could not authenticate, invalid API Key"
}List changelogs
Lists changelogs that are not archived, newest first. Use a changelog’s id as changelog_id in Move a feature request.
curl --request GET \
--url https://{your-subdomain}.neetoengage.com/api/external/v1/changelogs \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoengage.com/api/external/v1/changelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoengage.com/api/external/v1/changelogs"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"changelogs": [
{
"id": "d4a2b6f0-9c13-4e85-a7d1-58e3c0b9f216",
"title": "Faster search",
"status": "published",
"published_at": "2026-03-01",
"url": "https://spinkart.neetoengage.com/changelogs/faster-search",
"admin_url": "https://spinkart.neetoengage.com/admin/changelogs/edit/faster-search",
"feature_request_id": null
}
],
"page": 1,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}{
"error": "Could not authenticate, invalid API Key"
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
API key. Refer to Authentication for more information.
Must be application/json.
application/json Query Parameters
Filters changelogs by title. Matches part of the title, ignoring case.
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
x >= 1Number of results per page. Defaults to 25 and is capped at 100.
1 <= x <= 100Response
Changelogs in the workspace.
Hide child attributes
Hide child attributes
Unique identifier. Pass it as changelog_id when moving a feature request.
"d4a2b6f0-9c13-4e85-a7d1-58e3c0b9f216"
"Faster search"
draft, published, scheduled "published"
"2026-03-01"
"https://spinkart.neetoengage.com/changelogs/faster-search"
"https://spinkart.neetoengage.com/admin/changelogs/edit/faster-search"
Feature request the changelog is attached to, or null.
"5f0f3c2e-8d1b-4c53-9a6e-2b7d41c9e8a1"
Current page number.
1
Number of records per page.
25
Total number of records across all pages.
2
Total number of pages. At least 1, even when there are no records.
1